%global srcname netdisco

Name:           python-netdisco
Version:        1.4.0
Release:        2%{?dist}
Summary:        Python library to scan local network for services and devices

License:        MIT
URL:            https://github.com/home-assistant/netdisco/
Source0:        https://github.com/home-assistant/netdisco/archive/%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-zeroconf
BuildRequires:  python3-requests
BuildRequires:  python3-netifaces
BuildRequires:  python3-pytest

%description
NetDisco is a Python 3 library to discover local devices and services. It
allows to scan on demand or offer a service that will scan the network in
the background in a set interval.

Current methods of scanning:
- mDNS (includes Chromecast, Homekit)
- uPnP
- Plex Media Server using Good Day Mate protocol
- Logitech Media Server discovery protocol
- Daikin discovery protocol
- Web OS discovery protocol

%package -n python3-%{srcname}
Summary:        %{summary}
Requires:       python3-zeroconf
Requires:       python3-requests
Requires:       python3-netifaces
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{srcname}
NetDisco is a Python 3 library to discover local devices and services. It
allows to scan on demand or offer a service that will scan the network in
the background in a set interval.

Current methods of scanning:
- mDNS (includes Chromecast, Homekit)
- uPnP
- Plex Media Server using Good Day Mate protocol
- Logitech Media Server discovery protocol
- Daikin discovery protocol
- Web OS discovery protocol

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=. py.test-3 tests/

%files -n python3-%{srcname}
%doc README.md
%license LICENSE.md
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}*.egg-info

%changelog
* Tue May 29 2018 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.0-2
- Fix check

* Mon Mar 05 2018 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.0-1
- Initial package
